cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Archana Naik (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-7363) Do not insist on precise version of cordova-lib
Date Fri, 22 Aug 2014 19:02:12 GMT

    [ https://issues.apache.org/jira/browse/CB-7363?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14107295#comment-14107295
] 

Archana Naik commented on CB-7363:
----------------------------------

I am in the same boat as Josh. I am testing my dev work using mobielspec and need to be able
to distinguish 2 different versions. For mobilespec i want to use my dev cli which uses everything
dev(cordova-lib).

> Do not insist on precise version of cordova-lib
> -----------------------------------------------
>
>                 Key: CB-7363
>                 URL: https://issues.apache.org/jira/browse/CB-7363
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CLI, Plugman
>    Affects Versions: 3.5.0
>            Reporter: Josh Soref
>            Assignee: Josh Soref
>             Fix For: 3.6.0
>
>
> Currently plugman's {{package.json}} has:
> {quote}
>     "cordova-lib" : "0.21.6",
> {quote}
> Unfortunately, my git repo (from coho) of {{cordova-lib}} has {{0.21.8-dev}}, which means
that if I do {{npm install}} in {{cordova-plugman}}, and I have a _symlink_ to {{cordova-lib}}
in its {{node_modules}}, the _symlink_ is *obliterated*. This isn't desirable and makes a
totally mess out of git repositories.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message